/*
 * Class EV_DOCKABLE_SOURCE_ACTION_SEQUENCES_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_314 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_314 [] = {0xFF01,1551,313,0xFFFF};
static const EIF_TYPE_INDEX egt_2_314 [] = {0xFF01,313,0xFFFF};
static const EIF_TYPE_INDEX egt_3_314 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_314 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_314 [] = {0xFF01,313,0xFFFF};
static const EIF_TYPE_INDEX egt_6_314 [] = {0xFF01,313,0xFFFF};
static const EIF_TYPE_INDEX egt_7_314 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_314 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_314 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_314 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_314 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_314 [] = {0xFF01,313,0xFFFF};
static const EIF_TYPE_INDEX egt_13_314 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_14_314 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_314[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_314), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_314), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_314), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_314), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_314), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_314), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_314), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_314), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_314), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_314), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_314), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_314), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0273 /*313*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_314), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_314), 6133, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_314), 6134, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6135, 0},
	{EIF_NON_GENERIC(0x051D /*654*/), 6136, 4},
};
void Init314(void)
{
	IDSC(desc_314, 0, 313);
	IDSC(desc_314 + 1, 1, 313);
	IDSC(desc_314 + 32, 101, 313);
}


#ifdef __cplusplus
}
#endif
